---
title: "List built-in templates"
description: "The built-in page templates, each with its id, name, description, icon, category and Markdown."
canonical_url: https://docs.markdrop.in/api/templates/list-built-in-templates
last_updated: 2026-11-04
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# List built-in templates

`GET https://api.markdrop.in/api/v1/page-templates`

The built-in page templates, each with its id, name, description, icon, category and Markdown.

- **Authentication:** No token needed.
- **Rate limit:** 60 per minute per IP address.
- **Guide:** [Templates](https://docs.markdrop.in/pages/templates)

## Responses

- `200`: OK.
- `429`: Too many requests from your IP address. Wait the seconds in `Retry-After`.

## Examples

**curl**

```bash
curl https://api.markdrop.in/api/v1/page-templates
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/page-templates");
const data = await res.json();
```

**Python**

```python
import requests

r = requests.get("https://api.markdrop.in/api/v1/page-templates")
r.raise_for_status()
print(r.json())
```
